Верное решение проблемы подключения к Wi — Fi (WPA 2 Enterprise) в Fedora 33 Desktop / RHEL 8.3 / openSUSE Leap 15.2

0
86
Верное решение проблемы подключения к Wi — Fi (WPA 2 Enterprise) в Fedora 33 Desktop / RHEL 8.3 / openSUSE Leap 15.2
Верное решение проблемы подключения к Wi — Fi (WPA 2 Enterprise) в Fedora 33 Desktop / RHEL 8.3 / openSUSE Leap 15.2
К сожалению, ошибся!

Приветствую Вас, дорогой читатель! Ранее я написал статью о устранении проблем с подключением в Wi — Fi сети, использующей метод авторизации WPA 2 Enterprise. В качестве решения данной проблемы я предлагал понижение версии пакета wpa_supplicant с версии 2.9, использующейся по умолчанию, до версии 2.6. В принципе — будет работать и так. Но! Версия пакета не является причиной возникновения проблемы с подключением к сетям Wi — Fi, использующим WPA 2 Enterprise в качестве способа авторизации.

В чём на самом деле проблема?

Каюсь, но причиной выбора не верного пути решения проблемы оказалась попросту моя не внимательность — я не обратил внимания на тот факт, что при установке пакета wpa_supplicant версии 2.6 он, в качестве удовлетворения зависимостей, требует установки пакета compat-openssl10. По умолчанию он отсутствует в системе, так как wpa_supplicant версии 2.9 не требует его в качестве удовлетворения зависимостей при установке. Описание пакета compat-openssl10, в моём ну очень вольном переводе выглядит так:

«Инструментарий OpenSSL обеспечивает поддержку безопасной связи между машинами. Эта версия пакета OpenSSL содержит только библиотеки и предназначена для совместимости с предыдущими выпусками и программным обеспечением, которое не поддерживает компиляцию с OpenSSL-1.1.»

Кстати, данная проблема в openSUSE Leap 15.2 и RHEL 8.3 решается таким же способом.

Устанавливаем compat-openssl10

Так что проблема решается простой установкой из официальных репозиториев:

openSUSE Leap 15.2

sudo zypper install libopenssl10

RHEL 8.3 / Fedora 33

sudo dnf install compat-openssl10

ОСТАВЬТЕ ОТВЕТ

Please enter your comment!
Please enter your name here